#!/bin/bash
if [ $# -eq 0 ]
then
  echo "Usage: $0 <disk image>"
  exit
fi
/sbin/losetup /dev/loop0 $1
/sbin/cryptsetup luksOpen /dev/loop0 cryptdisk.vol
/bin/mount -o uid=$(ps -ft `tty` | head -2 | tail -1 | cut -d" " -f1) /dev/mapper/cryptdisk.vol /mnt
echo "$1 mounted under /mnt"
